tsSmooth                package:stats                R Documentation

Use Fixed-Interval Smoothing on Time Series

Description:

     Performs fixed-interval smoothing on a univariate time series via
     a state-space model.  Fixed-interval smoothing gives the best
     estimate of the state at each time point based on the whole
     observed series.

Usage:

     tsSmooth(object, ...)

Arguments:

  object: a time-series fit.  Currently only class '"StructTS"' is
          supported

     ...: possible arguments for future methods.

Value:

     A time series, with as many dimensions as the state space and
     results at each time point of the original series.  (For seasonal
     models, only the current seasonal component is returned.)

Author(s):

     B. D. Ripley

References:

     Durbin, J. and Koopman, S. J. (2001) _Time Series Analysis by
     State Space Methods._  Oxford University Press.

See Also:

     'KalmanSmooth', 'StructTS'.

     For examples consult 'AirPassengers', 'JohnsonJohnson' and 'Nile'.

